using System;
using System.Collections.Generic;
using System.Text;

namespace Christian.Helle.PocketNews.PocketPC.NewsProtocol
{
	/// <summary>
	/// Article
	/// </summary>
	[Serializable]
	public class ArticleHeader
	{
		/// <summary>
		/// The message ID of the newsgroup message
		/// </summary>
		public string ID;
		/// <summary>
		/// Sender of the message
		/// </summary>
		public string From;
		/// <summary>
		/// Subject of the message
		/// </summary>
		public string Subject;
		/// <summary>
		/// Date the message was sent.  Time is recorded using 
		/// the server time.  Hence, there might be differences
		/// if the user and the server are in different time zones
		/// </summary>
		public string Date;

		public override string ToString()
		{
			return string.Format("{0}\n{1}", this.From, this.Subject);
		}
	}
}
